Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.charts
Class BoxSeriesCollection

    java.lang.Object
      umontreal.iro.lecuyer.charts.SSJCategorySeriesCollection
          umontreal.iro.lecuyer.charts.BoxSeriesCollection

    public class BoxSeriesCollection

extends SSJCategorySeriesCollection

This class stores data used in a `CategoryChart`. It also provides complementary tools to draw box-and-whisker plots; for example, one may add or remove plots series and modify plot style. This class is linked with the JFreeChart `DefaultBoxAndWhiskerCategoryDataset` class to store data plots, and linked with the JFreeChart `BoxAndWhiskerRenderer` to render the plots.

Constructor Summary
`BoxSeriesCollection()` Creates a new `BoxSeriesCollection` instance with an empty dataset.
`BoxSeriesCollection(org.jfree.data.statistics.DefaultBoxAndWhiskerCategoryDataset data)` Creates a new `BoxSeriesCollection` instance with default parameters and given data series.
`BoxSeriesCollection(double[]... data)` Creates a new `BoxSeriesCollection` instance with default parameters and given data series.
`BoxSeriesCollection(double[] data, int numPoints)` Creates a new `BoxSeriesCollection` instance with default parameters and input series `data`.

Method Summary
`int` | `add(double[] data)` Adds a data series into the series collection.
`int` | `add(double[] data, int numPoints)` Adds a data series into the series collection.
`String` | `getName(int series)` Gets the current name of the selected series.
`double[]` | `getRangeBounds()` Returns the range (y-coordinates) min and max values.
`String` | `toLatex(double YScale, double YShift, double ymin, double ymax)` NOT IMPLEMENTED: To do.
`String` | `toString()` Returns in a `String` all data contained in the current object.

Methods inherited from class umontreal.iro.lecuyer.charts.SSJCategorySeriesCollection
`getCategory, getColor, getRenderer, getSeriesCollection, getValue, setColor, setRenderer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BoxSeriesCollection

    public BoxSeriesCollection()

  Creates a new `BoxSeriesCollection` instance with an empty dataset.

### BoxSeriesCollection

    public BoxSeriesCollection(double[] data,
                               int numPoints)

  Creates a new `BoxSeriesCollection` instance with default parameters and input series `data`. Only the first `numPoints` of `data` will taken into account.

  Parameters:
    `data` - point sets.
    `numPoints` - Number of points

### BoxSeriesCollection

    public BoxSeriesCollection(double[]... data)

  Creates a new `BoxSeriesCollection` instance with default parameters and given data series. The input parameter represents series of point sets.

  Parameters:
    `data` - series of point sets.

### BoxSeriesCollection

    public BoxSeriesCollection(org.jfree.data.statistics.DefaultBoxAndWhiskerCategoryDataset data)

  Creates a new `BoxSeriesCollection` instance with default parameters and given data series. The input parameter represents a `DefaultBoxAndWhiskerCategoryDataset`.

  Parameters:
    `data` - series of point sets.

Method Detail

### add

    public int add(double[] data)

  Adds a data series into the series collection. Vector `data` represents a point set.

  Parameters:
    `data` - point sets.
  Returns:
    Integer that represent the new point set's position in the JFreeChart `DefaultBoxAndWhiskerXYDataset` object.

### add

    public int add(double[] data,
                   int numPoints)

  Adds a data series into the series collection. Vector `data` represents a point set. Only the first `numPoints` of `data` will be added to the new series.

  Parameters:
    `data` - Point set
    `numPoints` - Number of points to add
  Returns:
    Integer that represent the new point set's position in the JFreeChart `DefaultBoxAndWhiskerXYDataset` object.

### getName

    public String getName(int series)

  Gets the current name of the selected series.

  Parameters:
    `series` - series index.
  Returns:
    current name of the series.

### getRangeBounds

    public double[] getRangeBounds()

  Returns the range (y-coordinates) min and max values.

  Specified by:
    `getRangeBounds` in class `SSJCategorySeriesCollection`
  Returns:
    range min and max values.

### toString

    public String toString()

  Returns in a `String` all data contained in the current object.

  Specified by:
    `toString` in class `SSJCategorySeriesCollection`
  Returns:
    All data contained in the current object as a `String`.

### toLatex

    public String toLatex(double YScale,
                          double YShift,
                          double ymin,
                          double ymax)

  NOT IMPLEMENTED: To do.

  Specified by:
    `toLatex` in class `SSJCategorySeriesCollection`
  Parameters:
    `ymin` -
    `ymax` -
    `YScale` - Range original data scale.
    `YShift` - Range original data shift value.
  Returns:
    LaTeX source code

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.